package com.hzya.frame.plugin.oa.payment.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class PaymentDetailsEntity extends BaseEntity {
    private String pkPayitem;//付款单行标识
    private String settOrg;//	结算财务组织
    private String pkOrg;//	付款财务组织
    private String pkFiorg;//	财务组织
    private String pkPcorg;//	利润中心
    private String puOrg;//	业务组织
    private String puOrgV;//业务组织版本主键
    private String settOrgV;//	结算财务组织版本主键
    private String pkPcorgV;//	利润中心版本主键
    private String pkOrgV;//	付款财务组织版本主键
    private String pkfiorgv;//	财务组织版本主键
    private String pupsndoc;//	业务人员
    private String puDeptid;//	业务部门
    private String puDeptidV;//	业务部门版本
    private String prepay;//	付款性质
    private String material;//	物料
    private String  supplier;//	供应商
    private String  postunit;//	报价计量单位
    private String postpricenotax;//	报价单位无税单价
    private String postquantity;//	报价单位数量
    private String postprice;//	报价单位含税单价
    private String checkdirection;//	票据方向
    private String coordflag;//	单据协同状态
    private String  equipmentcode;//	设备编码
    private String productline	;//产品线
    private String cashitem;//	现金流量项目
    private String payflag;//	支付状态
    private String bankrollprojet;//	资金计划项目
    private String pausetransact	;//挂起标志
    private String billdate;//	单据日期
    private String  payman;//	支付人
    private String paydate;//	支付日期
    private String pkGroup;//	所属集团
    private String  pkBilltype;//	单据类型编码
    private String  billclass;//	单据大类
    private String pkTradetype	;//付款类型code
    private String  pkTradetypeid;//	付款类型
    private String busidate;//	起算日期
    private String pkSubjcode;//	收支项目
    private String billno;//	单据号
    private String objtype;//	往来对象
    private String rowno;//	单据分录号
    private String  rowtype;//	行类型
    private String direction;//	方向
    private String checktype;//	票据类型
    private String pkSsitem;//	事项审批单
    private String scomment	;//摘要
    private String  subjcode;//	科目
    private String pkCurrtype	;//币种
    private String  rate;//	组织本币汇率
    private String  pkDeptid	;//部门
    private String pkDeptidV;//	部 门
    private String  pkPsndoc;//	业务员
    private String   moneyDe;//	借方原币金额
    private String  localMoneyDe;//	组织本币金额(借方)
    private String  quantityDe;//	借方数量
    private String  quantityCr	;//贷方数量
    private String moneyBal	;//原币余额
    private String localMoneyBal;//	组织本币余额
    private String  quantityBal;//	数量余额
    private String  localTaxDe;//	税额
    private String  notaxDe;//	借方原币无税金额
    private String  localNotaxDe;//	组织本币无税金额(借方)
    private String   price	;//单价
    private String   taxprice	;//含税单价
    private String taxrate	;//税率
    private String  taxnum;//	税号
    private String pkBalatype;//	结算方式
    private String topBillid;//	上层单据主键
    private String  topItemid	;//上层单据行主键
    private String  topBilltype;//	上层单据类型
    private String  topChangets;//	上层单据主表ts
    private String  topTradetype;//	上层交易类型
    private String  srcTradetype;//	源头交易类型
    private String  srcBilltype;//	源头单据类型
    private String  srcBillid;//	源头单据主键
    private String  srcItemid;//	源头单据行主键
    private String  pkPayterm;//付款协议
    private String topTermch;//	来源付款协议行
    private String  checkno	;//票据号
    private String  payaccount;//	付款银行账户
    private String   recaccount;//	收款银行账户
    private String  cashaccount	;//现金账户
    private String  ordercubasdoc;//	订单供应商
    private String  innerorderno;//	调拨订单号
    private String   assetpactno;//	资产合同号
    private String  contractno;//	合同号
    private String  freecust;//	散户
    private String   facard;//	固定资产卡片号
    private String  purchaseorder;//	订单号
    private String invoiceno;//	发票号
    private String  outstoreno;//	出库单号
    private String checkelement	;//责任核算要素
    private String  grouprate	;//集团本币汇率
    private String globalrate;//	全局本币汇率
    private String  groupdebit;//	集团本币金额(借方)
    private String  globaldebit;//	全局本币金额(借方)
    private String groupbalance	;//集团本币余额
    private String  globalbalance;//	全局本币余额
    private String groupnotaxDe;//	集团本币无税金额(借方)
    private String globalnotaxDe;//	全局本币无税金额(借方)
    private String  occupationmny	;//预占用核销原币余额
    private String bankrelatedCode;//	对账标识码
    private String project;//	项目
    private String  projectTask;//	项目任务
    private String  commpaytype	;//承付类型
    private String  commpaystatus;//	承付状态
    private String  refuseReason;//	拒付理由
    private String  agentreceiveprimal;//	托收原币金额
    private String  agentreceivelocal;//	托收组织本币
    private String  groupagentreceivelocal;//	托收集团本币
    private String  globalagentreceivelocal	;//托收全局本币
    private String  commpayer	;//承付人
    private String isrefused;//	是否被拒付
    private String  localPrice;//	本币单价
    private String  localTaxprice;//	本币含税单价
    private String  confernum;//	内部交易结算号
    private String  costcenter;//	成本中心
    private String  customer;//	客户
    private String payreason;//	支付原因
    private String pkPaybill	;//付款单标识
    private String materialSrc;//	原始物料
    private String settlemoney	;//应付金额
    private String settlecurr	;//应付币种
    private String  isdiscount;//	是否抵扣金额
    private String  comment;//	摘要c
    private String  pkRecpaytype;//	付款业务类型
    private String  isurgent;//	紧急
    private String  transerial	;//银行流水号
    private String  sendcountryid;//	发货国
    private String vatcode	;//VAT注册码
    private String taxcodeid;//	税码
    private String  taxtype	;//扣税类别
    private String   buysellflag;//	购销类型
    private String nosubtaxrate;//	不可抵扣税率
    private String nosubtax	;//不可抵扣税额
    private String vendorvatcode	;//供应商VAT注册码
    private String  directCheckno	;//直联电票
    private String topChangeitemts	;//上层单据子表ts
    private String pkRatetype	;//组织汇率类型
    private String ratedate	;//组织汇率来源日期
    private String customerV	;//客户版本
    private String ordercubasdocV	;//订单供应商版本
    private String supplierV	;//供应商版本
    private String def10;//	自定义项10
    private String  def9	;//自定义项9
    private String  def8	;//自定义项8
    private String  def7;//	自定义项7
    private String  def6	;//自定义项6
    private String def5;//	自定义项5
    private String  def4	;//自定义项4
    private String  def3	;//自定义项3
    private String  def2	;//自定义项2
    private String def1;//	自定义项1
    private String formmainId;//	OA主表id


    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getPkPayitem() {
        return pkPayitem;
    }

    public void setPkPayitem(String pkPayitem) {
        this.pkPayitem = pkPayitem;
    }

    public String getSettOrg() {
        return settOrg;
    }

    public void setSettOrg(String settOrg) {
        this.settOrg = settOrg;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public String getPkFiorg() {
        return pkFiorg;
    }

    public void setPkFiorg(String pkFiorg) {
        this.pkFiorg = pkFiorg;
    }

    public String getPkPcorg() {
        return pkPcorg;
    }

    public void setPkPcorg(String pkPcorg) {
        this.pkPcorg = pkPcorg;
    }

    public String getPuOrg() {
        return puOrg;
    }

    public void setPuOrg(String puOrg) {
        this.puOrg = puOrg;
    }

    public String getPuOrgV() {
        return puOrgV;
    }

    public void setPuOrgV(String puOrgV) {
        this.puOrgV = puOrgV;
    }

    public String getSettOrgV() {
        return settOrgV;
    }

    public void setSettOrgV(String settOrgV) {
        this.settOrgV = settOrgV;
    }

    public String getPkPcorgV() {
        return pkPcorgV;
    }

    public void setPkPcorgV(String pkPcorgV) {
        this.pkPcorgV = pkPcorgV;
    }

    public String getPkOrgV() {
        return pkOrgV;
    }

    public void setPkOrgV(String pkOrgV) {
        this.pkOrgV = pkOrgV;
    }

    public String getPkfiorgv() {
        return pkfiorgv;
    }

    public void setPkfiorgv(String pkfiorgv) {
        this.pkfiorgv = pkfiorgv;
    }

    public String getPupsndoc() {
        return pupsndoc;
    }

    public void setPupsndoc(String pupsndoc) {
        this.pupsndoc = pupsndoc;
    }

    public String getPuDeptid() {
        return puDeptid;
    }

    public void setPuDeptid(String puDeptid) {
        this.puDeptid = puDeptid;
    }

    public String getPuDeptidV() {
        return puDeptidV;
    }

    public void setPuDeptidV(String puDeptidV) {
        this.puDeptidV = puDeptidV;
    }

    public String getPrepay() {
        return prepay;
    }

    public void setPrepay(String prepay) {
        this.prepay = prepay;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getPostunit() {
        return postunit;
    }

    public void setPostunit(String postunit) {
        this.postunit = postunit;
    }

    public String getPostpricenotax() {
        return postpricenotax;
    }

    public void setPostpricenotax(String postpricenotax) {
        this.postpricenotax = postpricenotax;
    }

    public String getPostquantity() {
        return postquantity;
    }

    public void setPostquantity(String postquantity) {
        this.postquantity = postquantity;
    }

    public String getPostprice() {
        return postprice;
    }

    public void setPostprice(String postprice) {
        this.postprice = postprice;
    }

    public String getCheckdirection() {
        return checkdirection;
    }

    public void setCheckdirection(String checkdirection) {
        this.checkdirection = checkdirection;
    }

    public String getCoordflag() {
        return coordflag;
    }

    public void setCoordflag(String coordflag) {
        this.coordflag = coordflag;
    }

    public String getEquipmentcode() {
        return equipmentcode;
    }

    public void setEquipmentcode(String equipmentcode) {
        this.equipmentcode = equipmentcode;
    }

    public String getProductline() {
        return productline;
    }

    public void setProductline(String productline) {
        this.productline = productline;
    }

    public String getCashitem() {
        return cashitem;
    }

    public void setCashitem(String cashitem) {
        this.cashitem = cashitem;
    }

    public String getPayflag() {
        return payflag;
    }

    public void setPayflag(String payflag) {
        this.payflag = payflag;
    }

    public String getBankrollprojet() {
        return bankrollprojet;
    }

    public void setBankrollprojet(String bankrollprojet) {
        this.bankrollprojet = bankrollprojet;
    }

    public String getPausetransact() {
        return pausetransact;
    }

    public void setPausetransact(String pausetransact) {
        this.pausetransact = pausetransact;
    }

    public String getBilldate() {
        return billdate;
    }

    public void setBilldate(String billdate) {
        this.billdate = billdate;
    }

    public String getPayman() {
        return payman;
    }

    public void setPayman(String payman) {
        this.payman = payman;
    }

    public String getPaydate() {
        return paydate;
    }

    public void setPaydate(String paydate) {
        this.paydate = paydate;
    }

    public String getPkGroup() {
        return pkGroup;
    }

    public void setPkGroup(String pkGroup) {
        this.pkGroup = pkGroup;
    }

    public String getPkBilltype() {
        return pkBilltype;
    }

    public void setPkBilltype(String pkBilltype) {
        this.pkBilltype = pkBilltype;
    }

    public String getBillclass() {
        return billclass;
    }

    public void setBillclass(String billclass) {
        this.billclass = billclass;
    }

    public String getPkTradetype() {
        return pkTradetype;
    }

    public void setPkTradetype(String pkTradetype) {
        this.pkTradetype = pkTradetype;
    }

    public String getPkTradetypeid() {
        return pkTradetypeid;
    }

    public void setPkTradetypeid(String pkTradetypeid) {
        this.pkTradetypeid = pkTradetypeid;
    }

    public String getBusidate() {
        return busidate;
    }

    public void setBusidate(String busidate) {
        this.busidate = busidate;
    }

    public String getPkSubjcode() {
        return pkSubjcode;
    }

    public void setPkSubjcode(String pkSubjcode) {
        this.pkSubjcode = pkSubjcode;
    }

    public String getBillno() {
        return billno;
    }

    public void setBillno(String billno) {
        this.billno = billno;
    }

    public String getObjtype() {
        return objtype;
    }

    public void setObjtype(String objtype) {
        this.objtype = objtype;
    }

    public String getRowno() {
        return rowno;
    }

    public void setRowno(String rowno) {
        this.rowno = rowno;
    }

    public String getRowtype() {
        return rowtype;
    }

    public void setRowtype(String rowtype) {
        this.rowtype = rowtype;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getChecktype() {
        return checktype;
    }

    public void setChecktype(String checktype) {
        this.checktype = checktype;
    }

    public String getPkSsitem() {
        return pkSsitem;
    }

    public void setPkSsitem(String pkSsitem) {
        this.pkSsitem = pkSsitem;
    }

    public String getScomment() {
        return scomment;
    }

    public void setScomment(String scomment) {
        this.scomment = scomment;
    }

    public String getSubjcode() {
        return subjcode;
    }

    public void setSubjcode(String subjcode) {
        this.subjcode = subjcode;
    }

    public String getPkCurrtype() {
        return pkCurrtype;
    }

    public void setPkCurrtype(String pkCurrtype) {
        this.pkCurrtype = pkCurrtype;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getPkDeptid() {
        return pkDeptid;
    }

    public void setPkDeptid(String pkDeptid) {
        this.pkDeptid = pkDeptid;
    }

    public String getPkDeptidV() {
        return pkDeptidV;
    }

    public void setPkDeptidV(String pkDeptidV) {
        this.pkDeptidV = pkDeptidV;
    }

    public String getPkPsndoc() {
        return pkPsndoc;
    }

    public void setPkPsndoc(String pkPsndoc) {
        this.pkPsndoc = pkPsndoc;
    }

    public String getMoneyDe() {
        return moneyDe;
    }

    public void setMoneyDe(String moneyDe) {
        this.moneyDe = moneyDe;
    }

    public String getLocalMoneyDe() {
        return localMoneyDe;
    }

    public void setLocalMoneyDe(String localMoneyDe) {
        this.localMoneyDe = localMoneyDe;
    }

    public String getQuantityDe() {
        return quantityDe;
    }

    public void setQuantityDe(String quantityDe) {
        this.quantityDe = quantityDe;
    }

    public String getQuantityCr() {
        return quantityCr;
    }

    public void setQuantityCr(String quantityCr) {
        this.quantityCr = quantityCr;
    }

    public String getMoneyBal() {
        return moneyBal;
    }

    public void setMoneyBal(String moneyBal) {
        this.moneyBal = moneyBal;
    }

    public String getLocalMoneyBal() {
        return localMoneyBal;
    }

    public void setLocalMoneyBal(String localMoneyBal) {
        this.localMoneyBal = localMoneyBal;
    }

    public String getQuantityBal() {
        return quantityBal;
    }

    public void setQuantityBal(String quantityBal) {
        this.quantityBal = quantityBal;
    }

    public String getLocalTaxDe() {
        return localTaxDe;
    }

    public void setLocalTaxDe(String localTaxDe) {
        this.localTaxDe = localTaxDe;
    }

    public String getNotaxDe() {
        return notaxDe;
    }

    public void setNotaxDe(String notaxDe) {
        this.notaxDe = notaxDe;
    }

    public String getLocalNotaxDe() {
        return localNotaxDe;
    }

    public void setLocalNotaxDe(String localNotaxDe) {
        this.localNotaxDe = localNotaxDe;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getTaxprice() {
        return taxprice;
    }

    public void setTaxprice(String taxprice) {
        this.taxprice = taxprice;
    }

    public String getTaxrate() {
        return taxrate;
    }

    public void setTaxrate(String taxrate) {
        this.taxrate = taxrate;
    }

    public String getTaxnum() {
        return taxnum;
    }

    public void setTaxnum(String taxnum) {
        this.taxnum = taxnum;
    }

    public String getPkBalatype() {
        return pkBalatype;
    }

    public void setPkBalatype(String pkBalatype) {
        this.pkBalatype = pkBalatype;
    }

    public String getTopBillid() {
        return topBillid;
    }

    public void setTopBillid(String topBillid) {
        this.topBillid = topBillid;
    }

    public String getTopItemid() {
        return topItemid;
    }

    public void setTopItemid(String topItemid) {
        this.topItemid = topItemid;
    }

    public String getTopBilltype() {
        return topBilltype;
    }

    public void setTopBilltype(String topBilltype) {
        this.topBilltype = topBilltype;
    }

    public String getTopChangets() {
        return topChangets;
    }

    public void setTopChangets(String topChangets) {
        this.topChangets = topChangets;
    }

    public String getTopTradetype() {
        return topTradetype;
    }

    public void setTopTradetype(String topTradetype) {
        this.topTradetype = topTradetype;
    }

    public String getSrcTradetype() {
        return srcTradetype;
    }

    public void setSrcTradetype(String srcTradetype) {
        this.srcTradetype = srcTradetype;
    }

    public String getSrcBilltype() {
        return srcBilltype;
    }

    public void setSrcBilltype(String srcBilltype) {
        this.srcBilltype = srcBilltype;
    }

    public String getSrcBillid() {
        return srcBillid;
    }

    public void setSrcBillid(String srcBillid) {
        this.srcBillid = srcBillid;
    }

    public String getSrcItemid() {
        return srcItemid;
    }

    public void setSrcItemid(String srcItemid) {
        this.srcItemid = srcItemid;
    }

    public String getPkPayterm() {
        return pkPayterm;
    }

    public void setPkPayterm(String pkPayterm) {
        this.pkPayterm = pkPayterm;
    }

    public String getTopTermch() {
        return topTermch;
    }

    public void setTopTermch(String topTermch) {
        this.topTermch = topTermch;
    }

    public String getCheckno() {
        return checkno;
    }

    public void setCheckno(String checkno) {
        this.checkno = checkno;
    }

    public String getPayaccount() {
        return payaccount;
    }

    public void setPayaccount(String payaccount) {
        this.payaccount = payaccount;
    }

    public String getRecaccount() {
        return recaccount;
    }

    public void setRecaccount(String recaccount) {
        this.recaccount = recaccount;
    }

    public String getCashaccount() {
        return cashaccount;
    }

    public void setCashaccount(String cashaccount) {
        this.cashaccount = cashaccount;
    }

    public String getOrdercubasdoc() {
        return ordercubasdoc;
    }

    public void setOrdercubasdoc(String ordercubasdoc) {
        this.ordercubasdoc = ordercubasdoc;
    }

    public String getInnerorderno() {
        return innerorderno;
    }

    public void setInnerorderno(String innerorderno) {
        this.innerorderno = innerorderno;
    }

    public String getAssetpactno() {
        return assetpactno;
    }

    public void setAssetpactno(String assetpactno) {
        this.assetpactno = assetpactno;
    }

    public String getContractno() {
        return contractno;
    }

    public void setContractno(String contractno) {
        this.contractno = contractno;
    }

    public String getFreecust() {
        return freecust;
    }

    public void setFreecust(String freecust) {
        this.freecust = freecust;
    }

    public String getFacard() {
        return facard;
    }

    public void setFacard(String facard) {
        this.facard = facard;
    }

    public String getPurchaseorder() {
        return purchaseorder;
    }

    public void setPurchaseorder(String purchaseorder) {
        this.purchaseorder = purchaseorder;
    }

    public String getInvoiceno() {
        return invoiceno;
    }

    public void setInvoiceno(String invoiceno) {
        this.invoiceno = invoiceno;
    }

    public String getOutstoreno() {
        return outstoreno;
    }

    public void setOutstoreno(String outstoreno) {
        this.outstoreno = outstoreno;
    }

    public String getCheckelement() {
        return checkelement;
    }

    public void setCheckelement(String checkelement) {
        this.checkelement = checkelement;
    }

    public String getGrouprate() {
        return grouprate;
    }

    public void setGrouprate(String grouprate) {
        this.grouprate = grouprate;
    }

    public String getGlobalrate() {
        return globalrate;
    }

    public void setGlobalrate(String globalrate) {
        this.globalrate = globalrate;
    }

    public String getGroupdebit() {
        return groupdebit;
    }

    public void setGroupdebit(String groupdebit) {
        this.groupdebit = groupdebit;
    }

    public String getGlobaldebit() {
        return globaldebit;
    }

    public void setGlobaldebit(String globaldebit) {
        this.globaldebit = globaldebit;
    }

    public String getGroupbalance() {
        return groupbalance;
    }

    public void setGroupbalance(String groupbalance) {
        this.groupbalance = groupbalance;
    }

    public String getGlobalbalance() {
        return globalbalance;
    }

    public void setGlobalbalance(String globalbalance) {
        this.globalbalance = globalbalance;
    }

    public String getGroupnotaxDe() {
        return groupnotaxDe;
    }

    public void setGroupnotaxDe(String groupnotaxDe) {
        this.groupnotaxDe = groupnotaxDe;
    }

    public String getGlobalnotaxDe() {
        return globalnotaxDe;
    }

    public void setGlobalnotaxDe(String globalnotaxDe) {
        this.globalnotaxDe = globalnotaxDe;
    }

    public String getOccupationmny() {
        return occupationmny;
    }

    public void setOccupationmny(String occupationmny) {
        this.occupationmny = occupationmny;
    }

    public String getBankrelatedCode() {
        return bankrelatedCode;
    }

    public void setBankrelatedCode(String bankrelatedCode) {
        this.bankrelatedCode = bankrelatedCode;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getProjectTask() {
        return projectTask;
    }

    public void setProjectTask(String projectTask) {
        this.projectTask = projectTask;
    }

    public String getCommpaytype() {
        return commpaytype;
    }

    public void setCommpaytype(String commpaytype) {
        this.commpaytype = commpaytype;
    }

    public String getCommpaystatus() {
        return commpaystatus;
    }

    public void setCommpaystatus(String commpaystatus) {
        this.commpaystatus = commpaystatus;
    }

    public String getRefuseReason() {
        return refuseReason;
    }

    public void setRefuseReason(String refuseReason) {
        this.refuseReason = refuseReason;
    }

    public String getAgentreceiveprimal() {
        return agentreceiveprimal;
    }

    public void setAgentreceiveprimal(String agentreceiveprimal) {
        this.agentreceiveprimal = agentreceiveprimal;
    }

    public String getAgentreceivelocal() {
        return agentreceivelocal;
    }

    public void setAgentreceivelocal(String agentreceivelocal) {
        this.agentreceivelocal = agentreceivelocal;
    }

    public String getGroupagentreceivelocal() {
        return groupagentreceivelocal;
    }

    public void setGroupagentreceivelocal(String groupagentreceivelocal) {
        this.groupagentreceivelocal = groupagentreceivelocal;
    }

    public String getGlobalagentreceivelocal() {
        return globalagentreceivelocal;
    }

    public void setGlobalagentreceivelocal(String globalagentreceivelocal) {
        this.globalagentreceivelocal = globalagentreceivelocal;
    }

    public String getCommpayer() {
        return commpayer;
    }

    public void setCommpayer(String commpayer) {
        this.commpayer = commpayer;
    }

    public String getIsrefused() {
        return isrefused;
    }

    public void setIsrefused(String isrefused) {
        this.isrefused = isrefused;
    }

    public String getLocalPrice() {
        return localPrice;
    }

    public void setLocalPrice(String localPrice) {
        this.localPrice = localPrice;
    }

    public String getLocalTaxprice() {
        return localTaxprice;
    }

    public void setLocalTaxprice(String localTaxprice) {
        this.localTaxprice = localTaxprice;
    }

    public String getConfernum() {
        return confernum;
    }

    public void setConfernum(String confernum) {
        this.confernum = confernum;
    }

    public String getCostcenter() {
        return costcenter;
    }

    public void setCostcenter(String costcenter) {
        this.costcenter = costcenter;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getPayreason() {
        return payreason;
    }

    public void setPayreason(String payreason) {
        this.payreason = payreason;
    }

    public String getPkPaybill() {
        return pkPaybill;
    }

    public void setPkPaybill(String pkPaybill) {
        this.pkPaybill = pkPaybill;
    }

    public String getMaterialSrc() {
        return materialSrc;
    }

    public void setMaterialSrc(String materialSrc) {
        this.materialSrc = materialSrc;
    }

    public String getSettlemoney() {
        return settlemoney;
    }

    public void setSettlemoney(String settlemoney) {
        this.settlemoney = settlemoney;
    }

    public String getSettlecurr() {
        return settlecurr;
    }

    public void setSettlecurr(String settlecurr) {
        this.settlecurr = settlecurr;
    }

    public String getIsdiscount() {
        return isdiscount;
    }

    public void setIsdiscount(String isdiscount) {
        this.isdiscount = isdiscount;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getPkRecpaytype() {
        return pkRecpaytype;
    }

    public void setPkRecpaytype(String pkRecpaytype) {
        this.pkRecpaytype = pkRecpaytype;
    }

    public String getIsurgent() {
        return isurgent;
    }

    public void setIsurgent(String isurgent) {
        this.isurgent = isurgent;
    }

    public String getTranserial() {
        return transerial;
    }

    public void setTranserial(String transerial) {
        this.transerial = transerial;
    }

    public String getSendcountryid() {
        return sendcountryid;
    }

    public void setSendcountryid(String sendcountryid) {
        this.sendcountryid = sendcountryid;
    }

    public String getVatcode() {
        return vatcode;
    }

    public void setVatcode(String vatcode) {
        this.vatcode = vatcode;
    }

    public String getTaxcodeid() {
        return taxcodeid;
    }

    public void setTaxcodeid(String taxcodeid) {
        this.taxcodeid = taxcodeid;
    }

    public String getTaxtype() {
        return taxtype;
    }

    public void setTaxtype(String taxtype) {
        this.taxtype = taxtype;
    }

    public String getBuysellflag() {
        return buysellflag;
    }

    public void setBuysellflag(String buysellflag) {
        this.buysellflag = buysellflag;
    }

    public String getNosubtaxrate() {
        return nosubtaxrate;
    }

    public void setNosubtaxrate(String nosubtaxrate) {
        this.nosubtaxrate = nosubtaxrate;
    }

    public String getNosubtax() {
        return nosubtax;
    }

    public void setNosubtax(String nosubtax) {
        this.nosubtax = nosubtax;
    }

    public String getVendorvatcode() {
        return vendorvatcode;
    }

    public void setVendorvatcode(String vendorvatcode) {
        this.vendorvatcode = vendorvatcode;
    }

    public String getDirectCheckno() {
        return directCheckno;
    }

    public void setDirectCheckno(String directCheckno) {
        this.directCheckno = directCheckno;
    }

    public String getTopChangeitemts() {
        return topChangeitemts;
    }

    public void setTopChangeitemts(String topChangeitemts) {
        this.topChangeitemts = topChangeitemts;
    }

    public String getPkRatetype() {
        return pkRatetype;
    }

    public void setPkRatetype(String pkRatetype) {
        this.pkRatetype = pkRatetype;
    }

    public String getRatedate() {
        return ratedate;
    }

    public void setRatedate(String ratedate) {
        this.ratedate = ratedate;
    }

    public String getCustomerV() {
        return customerV;
    }

    public void setCustomerV(String customerV) {
        this.customerV = customerV;
    }

    public String getOrdercubasdocV() {
        return ordercubasdocV;
    }

    public void setOrdercubasdocV(String ordercubasdocV) {
        this.ordercubasdocV = ordercubasdocV;
    }

    public String getSupplierV() {
        return supplierV;
    }

    public void setSupplierV(String supplierV) {
        this.supplierV = supplierV;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }
}
