package com.hzya.frame.plugin.ncc.service.impl;

import cn.hutool.core.lang.Assert;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.plugin.ncc.service.IRequisitionOrderPluginService;
import com.hzya.frame.seeyon.enums.ColEventTypeEnum;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @Description 请购单传NCC
 * @Author xiangerlin
 * @Date 2025/5/21 17:44
 **/
public class RequisitionOrderPluginServiceImpl implements IRequisitionOrderPluginService {
    Logger logger = LoggerFactory.getLogger(IRequisitionOrderPluginService.class);
    /**
     * 请购单同步到ncc
     *
     * @param requestJson
     * @return
     */
    @Override
    public JsonResultEntity sync2ncc(JSONObject requestJson) {
        //数据源编码
        String datasourceCode = requestJson.getString("sourceCode");
        String headersStr = requestJson.getString("headers");//请求头
        String formAppId = requestJson.getString("formApp");
        String eventType = requestJson.getString("eventType");
        JSONObject formmainData = requestJson.getJSONObject("formmainTableName");
        JSONArray forsonData = requestJson.getJSONArray("forsonTableName");
        Assert.notEmpty(formAppId,"formAppId不能为空");
        Assert.notEmpty(eventType,"eventType不能为空");
        Assert.notEmpty(headersStr,"headers不能为空");
        //流程发起
        if (ColEventTypeEnum.ONSTART.getType().equals(eventType)){

        }
        return BaseResult.getSuccessMessageEntity("请购单推NCC成功");
    }
}
