package com.hzya.frame.plugin.oa.payment.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.oa.payment.entity.PaymentEntity;

import java.util.List;

public interface IPaymentDao extends IBaseDao<PaymentEntity, String> {

    /**
     * 查询OA审批完成的单据传递CBS
     * @content
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-05-22 10:03
     * **/
    List<PaymentEntity> queryPaymentOAToCbs(PaymentEntity entity);

    /**
     *
     * @content 查询OA需要查询支付状态的数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-05-22 11:33
     * **/
    List<PaymentEntity> queryPaymentOAResult(PaymentEntity entity);
    
    /**
     * 
     * @content 更新OA支付结果
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2025-05-23 11:44
     * **/
    Integer updatePaymentOAResult(PaymentEntity entity);
}
