package com.hzya.frame.plugin.oa.payment.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.oa.payment.dao.IPaymentDao;
import com.hzya.frame.plugin.oa.payment.entity.PaymentEntity;

import java.util.List;

public class PaymentDaoImpl extends MybatisGenericDao<PaymentEntity, String> implements IPaymentDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<PaymentEntity> queryPaymentOAToCbs(PaymentEntity entity) {
        return (List<PaymentEntity>) super.selectList("queryPaymentOAToCbs",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public List<PaymentEntity> queryPaymentOAResult(PaymentEntity entity) {
        return  (List<PaymentEntity>) super.selectList("queryPaymentOAResult",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer updatePaymentOAResult(PaymentEntity entity) {
        return super.update("updatePaymentOAResult",entity);
    }
}
