package com.hzya.frame.plugin.oa.payment.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class PaymentEntity extends BaseEntity {
    private String pkPaybill;//付款单标识
    private String pkPcorg;//利润中心
    private String pkFiorg;//财务组织
    private String pkOrg;//付款财务组织
    private String settOrg;//结算财务组织
    private String puOrg;//业务组织
    private String puOrgV;//业务组织版本主键
    private String pkFiorgV;//财务组织版本主键
    private String pkPcorgV;//利润中心版本主键
    private String pkOrgV;//付款财务组织版本主键
    private String settOrgV;//结算财务组织版本主键
    private String isreded;//是否红冲过
    private String outbusitype;//外系统业务类型
    private String payman;//支付人
    private String paydate;//支付日期
    private String isonlinepay;//是否网上支付
    private String officialprintuser;//正式打印人
    private String officialprintdate;//正式打印日期
    private String settlenum;//结算号
    private String pkGroup;//所属集团
    private String pkBilltype;//单据类型编码
    private String ismandatepay;//提交资金组织结算
    private String custdelegate;//代垫单位
    private String pkCorp;//单位编码
    private String pkTradetype;//付款类型code
    private String pkTradetypeid;//付款类型
    private String billclass;//单据大类
    private String accessorynum;//附件张数
    private String subjcode;//科目
    private String isflowbill;//是否流程单据
    private String confirmuser;//单据确认人
    private String isinit;//期初标志
    private String billno;//单据号
    private String billdate;//单据日期
    private String syscode;//单据所属系统
    private String srcSyscode;//单据来源系统
    private String billstatus;//单据状态
    private String billmaker;//制单人
    private String approver;//审核人
    private String approvedate;//审核时间
    private String signuser;//签字确认人
    private String signyear;//签字确认年度
    private String signperiod;//签字确认期间
    private String signdate;//签字确认日期
    private String pkBusitype;//业务流程
    private String money;//原币金额
    private String localMoney;//组织本币金额
    private String billyear;//单据会计年度
    private String billperiod;//单据会计期间
    private String scomment;//摘要
    private String settleflag;//结算状态
    private String settletype;//结算类型
    private String effectstatus;//生效状态
    private String effectuser;//生效人
    private String effectdate;//生效日期


    private String lastapproveid;//最终审批人
    private String  bodys;//付款单行
    private String  grouplocal;//集团本币金额
    private String  globallocal;//全局本币金额
    private String rate;//组织本币汇率
    private String grouprate;//集团本币汇率
    private String  globalrate;//全局本币汇率
    private String  checkelement;//责任核算要素
    private String puDeptid;//业务部门
    private String  puDeptidV;//业务部门版本
    private String  puPsndoc;//业务人员
    private String   cashitem;//现金流量项目
    private String   bankrollprojet;//资金计划项目
    private String   pkDeptid;//部门
    private String  pkDeptidV;//部 门
    private String  pkPsndoc;//业务员
    private String  supplier;//供应商
    private String  pkCurrtype;//币种
    private String pkSubjcode;//收支项目
    private String  pkBalatype;//结算方式
    private String  objtype;//往来对象
    private String   payaccount;//付款银行账户
    private String   recaccount;//收款银行账户
    private String   cashaccount;//现金账户
    private String  coordflag;//单据协同标志
    private String   busidate;//起算日期
    private String  isforce;//承付
    private String  commpaybegindate;//承付开始日期
    private String commpayenddate;//承付截止日期
    private String  approvestatus;//审批状态
    private String  approvedated;//审核日期
    private String isfromindependent;//是否独立结算信息
    private String   customer;//客户
    private String  expectdealdate;//期望处理日
    private String  invoiceno;//发票号
    private String  consignagreement;//托收协议号
    private String  creditorreference;//债权人参考号
    private String  sddreversalflag;//直接借记退回标记
    private String  reversalreason;//退回原因
    private String ailurereason;//失败原因
    private String  payreason;//支付原因
    private String  creditrefstd;//贷方引用信息标准
    private String isurgent;//紧急
    private String  isrefund;//是否退款
    private String  rececountryid;//收货国
    private String taxcountryid;//报税国
    private String  sagaFrozen;//冻结状态
    private String  pkRatetype;//组织汇率类型
    private String  ratedate;//组织汇率来源日期
    private String  customerV;//客户版本
    private String  supplierV;//供应商版本
    private String   def10;//自定义项10
    private String  def9;//自定义项9
    private String def8;//自定义项8
    private String   def7;//自定义项7
    private String   def6;//自定义项6
    private String   def5;//自定义项5
    private String   def4;//自定义项4
    private String   def3;//自定义项3
    private String    def2;//自定义项2
    private String    modifiedtime;//最后修改时间
    private String   creationtime;//创建时间
    private String  creator;//创建人
    private String   modifier;//最后修改人

    private String oaResult;//OA支付结果
    private String oaPushStatus;//OA推送状态

    public String getOaResult() {
        return oaResult;
    }

    public void setOaResult(String oaResult) {
        this.oaResult = oaResult;
    }

    public String getOaPushStatus() {
        return oaPushStatus;
    }

    public void setOaPushStatus(String oaPushStatus) {
        this.oaPushStatus = oaPushStatus;
    }

    public String getPkPaybill() {
        return pkPaybill;
    }

    public void setPkPaybill(String pkPaybill) {
        this.pkPaybill = pkPaybill;
    }

    public String getPkPcorg() {
        return pkPcorg;
    }

    public void setPkPcorg(String pkPcorg) {
        this.pkPcorg = pkPcorg;
    }

    public String getPkFiorg() {
        return pkFiorg;
    }

    public void setPkFiorg(String pkFiorg) {
        this.pkFiorg = pkFiorg;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public String getSettOrg() {
        return settOrg;
    }

    public void setSettOrg(String settOrg) {
        this.settOrg = settOrg;
    }

    public String getPuOrg() {
        return puOrg;
    }

    public void setPuOrg(String puOrg) {
        this.puOrg = puOrg;
    }

    public String getPuOrgV() {
        return puOrgV;
    }

    public void setPuOrgV(String puOrgV) {
        this.puOrgV = puOrgV;
    }

    public String getPkFiorgV() {
        return pkFiorgV;
    }

    public void setPkFiorgV(String pkFiorgV) {
        this.pkFiorgV = pkFiorgV;
    }

    public String getPkPcorgV() {
        return pkPcorgV;
    }

    public void setPkPcorgV(String pkPcorgV) {
        this.pkPcorgV = pkPcorgV;
    }

    public String getPkOrgV() {
        return pkOrgV;
    }

    public void setPkOrgV(String pkOrgV) {
        this.pkOrgV = pkOrgV;
    }

    public String getSettOrgV() {
        return settOrgV;
    }

    public void setSettOrgV(String settOrgV) {
        this.settOrgV = settOrgV;
    }

    public String getIsreded() {
        return isreded;
    }

    public void setIsreded(String isreded) {
        this.isreded = isreded;
    }

    public String getOutbusitype() {
        return outbusitype;
    }

    public void setOutbusitype(String outbusitype) {
        this.outbusitype = outbusitype;
    }

    public String getPayman() {
        return payman;
    }

    public void setPayman(String payman) {
        this.payman = payman;
    }

    public String getPaydate() {
        return paydate;
    }

    public void setPaydate(String paydate) {
        this.paydate = paydate;
    }

    public String getIsonlinepay() {
        return isonlinepay;
    }

    public void setIsonlinepay(String isonlinepay) {
        this.isonlinepay = isonlinepay;
    }

    public String getOfficialprintuser() {
        return officialprintuser;
    }

    public void setOfficialprintuser(String officialprintuser) {
        this.officialprintuser = officialprintuser;
    }

    public String getOfficialprintdate() {
        return officialprintdate;
    }

    public void setOfficialprintdate(String officialprintdate) {
        this.officialprintdate = officialprintdate;
    }

    public String getSettlenum() {
        return settlenum;
    }

    public void setSettlenum(String settlenum) {
        this.settlenum = settlenum;
    }

    public String getPkGroup() {
        return pkGroup;
    }

    public void setPkGroup(String pkGroup) {
        this.pkGroup = pkGroup;
    }

    public String getPkBilltype() {
        return pkBilltype;
    }

    public void setPkBilltype(String pkBilltype) {
        this.pkBilltype = pkBilltype;
    }

    public String getIsmandatepay() {
        return ismandatepay;
    }

    public void setIsmandatepay(String ismandatepay) {
        this.ismandatepay = ismandatepay;
    }

    public String getCustdelegate() {
        return custdelegate;
    }

    public void setCustdelegate(String custdelegate) {
        this.custdelegate = custdelegate;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkTradetype() {
        return pkTradetype;
    }

    public void setPkTradetype(String pkTradetype) {
        this.pkTradetype = pkTradetype;
    }

    public String getPkTradetypeid() {
        return pkTradetypeid;
    }

    public void setPkTradetypeid(String pkTradetypeid) {
        this.pkTradetypeid = pkTradetypeid;
    }

    public String getBillclass() {
        return billclass;
    }

    public void setBillclass(String billclass) {
        this.billclass = billclass;
    }

    public String getAccessorynum() {
        return accessorynum;
    }

    public void setAccessorynum(String accessorynum) {
        this.accessorynum = accessorynum;
    }

    public String getSubjcode() {
        return subjcode;
    }

    public void setSubjcode(String subjcode) {
        this.subjcode = subjcode;
    }

    public String getIsflowbill() {
        return isflowbill;
    }

    public void setIsflowbill(String isflowbill) {
        this.isflowbill = isflowbill;
    }

    public String getConfirmuser() {
        return confirmuser;
    }

    public void setConfirmuser(String confirmuser) {
        this.confirmuser = confirmuser;
    }

    public String getIsinit() {
        return isinit;
    }

    public void setIsinit(String isinit) {
        this.isinit = isinit;
    }

    public String getBillno() {
        return billno;
    }

    public void setBillno(String billno) {
        this.billno = billno;
    }

    public String getBilldate() {
        return billdate;
    }

    public void setBilldate(String billdate) {
        this.billdate = billdate;
    }

    public String getSyscode() {
        return syscode;
    }

    public void setSyscode(String syscode) {
        this.syscode = syscode;
    }

    public String getSrcSyscode() {
        return srcSyscode;
    }

    public void setSrcSyscode(String srcSyscode) {
        this.srcSyscode = srcSyscode;
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus;
    }

    public String getBillmaker() {
        return billmaker;
    }

    public void setBillmaker(String billmaker) {
        this.billmaker = billmaker;
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver;
    }

    public String getApprovedate() {
        return approvedate;
    }

    public void setApprovedate(String approvedate) {
        this.approvedate = approvedate;
    }

    public String getSignuser() {
        return signuser;
    }

    public void setSignuser(String signuser) {
        this.signuser = signuser;
    }

    public String getSignyear() {
        return signyear;
    }

    public void setSignyear(String signyear) {
        this.signyear = signyear;
    }

    public String getSignperiod() {
        return signperiod;
    }

    public void setSignperiod(String signperiod) {
        this.signperiod = signperiod;
    }

    public String getSigndate() {
        return signdate;
    }

    public void setSigndate(String signdate) {
        this.signdate = signdate;
    }

    public String getPkBusitype() {
        return pkBusitype;
    }

    public void setPkBusitype(String pkBusitype) {
        this.pkBusitype = pkBusitype;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getLocalMoney() {
        return localMoney;
    }

    public void setLocalMoney(String localMoney) {
        this.localMoney = localMoney;
    }

    public String getBillyear() {
        return billyear;
    }

    public void setBillyear(String billyear) {
        this.billyear = billyear;
    }

    public String getBillperiod() {
        return billperiod;
    }

    public void setBillperiod(String billperiod) {
        this.billperiod = billperiod;
    }

    public String getScomment() {
        return scomment;
    }

    public void setScomment(String scomment) {
        this.scomment = scomment;
    }

    public String getSettleflag() {
        return settleflag;
    }

    public void setSettleflag(String settleflag) {
        this.settleflag = settleflag;
    }

    public String getSettletype() {
        return settletype;
    }

    public void setSettletype(String settletype) {
        this.settletype = settletype;
    }

    public String getEffectstatus() {
        return effectstatus;
    }

    public void setEffectstatus(String effectstatus) {
        this.effectstatus = effectstatus;
    }

    public String getEffectuser() {
        return effectuser;
    }

    public void setEffectuser(String effectuser) {
        this.effectuser = effectuser;
    }

    public String getEffectdate() {
        return effectdate;
    }

    public void setEffectdate(String effectdate) {
        this.effectdate = effectdate;
    }

    public String getLastapproveid() {
        return lastapproveid;
    }

    public void setLastapproveid(String lastapproveid) {
        this.lastapproveid = lastapproveid;
    }

    public String getBodys() {
        return bodys;
    }

    public void setBodys(String bodys) {
        this.bodys = bodys;
    }

    public String getGrouplocal() {
        return grouplocal;
    }

    public void setGrouplocal(String grouplocal) {
        this.grouplocal = grouplocal;
    }

    public String getGloballocal() {
        return globallocal;
    }

    public void setGloballocal(String globallocal) {
        this.globallocal = globallocal;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getGrouprate() {
        return grouprate;
    }

    public void setGrouprate(String grouprate) {
        this.grouprate = grouprate;
    }

    public String getGlobalrate() {
        return globalrate;
    }

    public void setGlobalrate(String globalrate) {
        this.globalrate = globalrate;
    }

    public String getCheckelement() {
        return checkelement;
    }

    public void setCheckelement(String checkelement) {
        this.checkelement = checkelement;
    }

    public String getPuDeptid() {
        return puDeptid;
    }

    public void setPuDeptid(String puDeptid) {
        this.puDeptid = puDeptid;
    }

    public String getPuDeptidV() {
        return puDeptidV;
    }

    public void setPuDeptidV(String puDeptidV) {
        this.puDeptidV = puDeptidV;
    }

    public String getPuPsndoc() {
        return puPsndoc;
    }

    public void setPuPsndoc(String puPsndoc) {
        this.puPsndoc = puPsndoc;
    }

    public String getCashitem() {
        return cashitem;
    }

    public void setCashitem(String cashitem) {
        this.cashitem = cashitem;
    }

    public String getBankrollprojet() {
        return bankrollprojet;
    }

    public void setBankrollprojet(String bankrollprojet) {
        this.bankrollprojet = bankrollprojet;
    }

    public String getPkDeptid() {
        return pkDeptid;
    }

    public void setPkDeptid(String pkDeptid) {
        this.pkDeptid = pkDeptid;
    }

    public String getPkDeptidV() {
        return pkDeptidV;
    }

    public void setPkDeptidV(String pkDeptidV) {
        this.pkDeptidV = pkDeptidV;
    }

    public String getPkPsndoc() {
        return pkPsndoc;
    }

    public void setPkPsndoc(String pkPsndoc) {
        this.pkPsndoc = pkPsndoc;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getPkCurrtype() {
        return pkCurrtype;
    }

    public void setPkCurrtype(String pkCurrtype) {
        this.pkCurrtype = pkCurrtype;
    }

    public String getPkSubjcode() {
        return pkSubjcode;
    }

    public void setPkSubjcode(String pkSubjcode) {
        this.pkSubjcode = pkSubjcode;
    }

    public String getPkBalatype() {
        return pkBalatype;
    }

    public void setPkBalatype(String pkBalatype) {
        this.pkBalatype = pkBalatype;
    }

    public String getObjtype() {
        return objtype;
    }

    public void setObjtype(String objtype) {
        this.objtype = objtype;
    }

    public String getPayaccount() {
        return payaccount;
    }

    public void setPayaccount(String payaccount) {
        this.payaccount = payaccount;
    }

    public String getRecaccount() {
        return recaccount;
    }

    public void setRecaccount(String recaccount) {
        this.recaccount = recaccount;
    }

    public String getCashaccount() {
        return cashaccount;
    }

    public void setCashaccount(String cashaccount) {
        this.cashaccount = cashaccount;
    }

    public String getCoordflag() {
        return coordflag;
    }

    public void setCoordflag(String coordflag) {
        this.coordflag = coordflag;
    }

    public String getBusidate() {
        return busidate;
    }

    public void setBusidate(String busidate) {
        this.busidate = busidate;
    }

    public String getIsforce() {
        return isforce;
    }

    public void setIsforce(String isforce) {
        this.isforce = isforce;
    }

    public String getCommpaybegindate() {
        return commpaybegindate;
    }

    public void setCommpaybegindate(String commpaybegindate) {
        this.commpaybegindate = commpaybegindate;
    }

    public String getCommpayenddate() {
        return commpayenddate;
    }

    public void setCommpayenddate(String commpayenddate) {
        this.commpayenddate = commpayenddate;
    }

    public String getApprovestatus() {
        return approvestatus;
    }

    public void setApprovestatus(String approvestatus) {
        this.approvestatus = approvestatus;
    }

    public String getApprovedated() {
        return approvedated;
    }

    public void setApprovedated(String approvedated) {
        this.approvedated = approvedated;
    }

    public String getIsfromindependent() {
        return isfromindependent;
    }

    public void setIsfromindependent(String isfromindependent) {
        this.isfromindependent = isfromindependent;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getExpectdealdate() {
        return expectdealdate;
    }

    public void setExpectdealdate(String expectdealdate) {
        this.expectdealdate = expectdealdate;
    }

    public String getInvoiceno() {
        return invoiceno;
    }

    public void setInvoiceno(String invoiceno) {
        this.invoiceno = invoiceno;
    }

    public String getConsignagreement() {
        return consignagreement;
    }

    public void setConsignagreement(String consignagreement) {
        this.consignagreement = consignagreement;
    }

    public String getCreditorreference() {
        return creditorreference;
    }

    public void setCreditorreference(String creditorreference) {
        this.creditorreference = creditorreference;
    }

    public String getSddreversalflag() {
        return sddreversalflag;
    }

    public void setSddreversalflag(String sddreversalflag) {
        this.sddreversalflag = sddreversalflag;
    }

    public String getReversalreason() {
        return reversalreason;
    }

    public void setReversalreason(String reversalreason) {
        this.reversalreason = reversalreason;
    }

    public String getAilurereason() {
        return ailurereason;
    }

    public void setAilurereason(String ailurereason) {
        this.ailurereason = ailurereason;
    }

    public String getPayreason() {
        return payreason;
    }

    public void setPayreason(String payreason) {
        this.payreason = payreason;
    }

    public String getCreditrefstd() {
        return creditrefstd;
    }

    public void setCreditrefstd(String creditrefstd) {
        this.creditrefstd = creditrefstd;
    }

    public String getIsurgent() {
        return isurgent;
    }

    public void setIsurgent(String isurgent) {
        this.isurgent = isurgent;
    }

    public String getIsrefund() {
        return isrefund;
    }

    public void setIsrefund(String isrefund) {
        this.isrefund = isrefund;
    }

    public String getRececountryid() {
        return rececountryid;
    }

    public void setRececountryid(String rececountryid) {
        this.rececountryid = rececountryid;
    }

    public String getTaxcountryid() {
        return taxcountryid;
    }

    public void setTaxcountryid(String taxcountryid) {
        this.taxcountryid = taxcountryid;
    }

    public String getSagaFrozen() {
        return sagaFrozen;
    }

    public void setSagaFrozen(String sagaFrozen) {
        this.sagaFrozen = sagaFrozen;
    }

    public String getPkRatetype() {
        return pkRatetype;
    }

    public void setPkRatetype(String pkRatetype) {
        this.pkRatetype = pkRatetype;
    }

    public String getRatedate() {
        return ratedate;
    }

    public void setRatedate(String ratedate) {
        this.ratedate = ratedate;
    }

    public String getCustomerV() {
        return customerV;
    }

    public void setCustomerV(String customerV) {
        this.customerV = customerV;
    }

    public String getSupplierV() {
        return supplierV;
    }

    public void setSupplierV(String supplierV) {
        this.supplierV = supplierV;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getModifiedtime() {
        return modifiedtime;
    }

    public void setModifiedtime(String modifiedtime) {
        this.modifiedtime = modifiedtime;
    }

    public String getCreationtime() {
        return creationtime;
    }

    public void setCreationtime(String creationtime) {
        this.creationtime = creationtime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
